summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hubbs <williamh@gentoo.org>2022-02-27 00:22:18 -0600
committerWilliam Hubbs <williamh@gentoo.org>2022-02-27 00:22:18 -0600
commitb6ebc1d997b32481071746080d6ccde9eb4746d2 (patch)
tree041247a664c21582057eb0387709621217016c7a /sys-cluster/k9scli/k9scli-0.25.18.ebuild
parentwww-plugins/browserpass: Version bump to 3.0.9 (diff)
downloadgentoo-b6ebc1d997b32481071746080d6ccde9eb4746d2.tar.gz
gentoo-b6ebc1d997b32481071746080d6ccde9eb4746d2.tar.bz2
gentoo-b6ebc1d997b32481071746080d6ccde9eb4746d2.zip
sys-cluster/k9scli: 0.25.18 bump
Closes: https://bugs.gentoo.org/829600 Package-Manager: Portage-3.0.30, Repoman-3.0.3 Signed-off-by: William Hubbs <williamh@gentoo.org>
Diffstat (limited to 'sys-cluster/k9scli/k9scli-0.25.18.ebuild')
-rw-r--r--sys-cluster/k9scli/k9scli-0.25.18.ebuild32
1 files changed, 32 insertions, 0 deletions
diff --git a/sys-cluster/k9scli/k9scli-0.25.18.ebuild b/sys-cluster/k9scli/k9scli-0.25.18.ebuild
new file mode 100644
index 00000000000..3daa0b58fbe
--- /dev/null
+++ b/sys-cluster/k9scli/k9scli-0.25.18.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit go-module
+GIT_COMMIT=6085039f
+
+DESCRIPTION="terminal based UI to manage kubernetes clusters"
+HOMEPAGE="https://k9scli.io"
+SRC_URI="https://github.com/derailed/k9s/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~williamh/dist/${P}-vendor.tar.xz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+S="${WORKDIR}/k9s-${PV}"
+
+src_prepare() {
+ default
+ # I will look into opening an upstream PR to do this.
+ sed -i -e 's/-w -s -X/-X/' Makefile || die
+}
+
+src_compile() {
+ emake GIT=${GIT_COMMIT} VERSION=v${pv} build
+}
+
+src_install() {
+ dobin execs/k9s
+ dodoc -r change_logs plugins skins README.md
+}